SOLVED CPANEL-42639 - whmapi1 installssl problem

rahnev

Well-Known Member
Jul 6, 2016
67
7
58
Bulgaria
cPanel Access Level
Root Administrator
Is there any changes related to whmapi1 installssl? I suspect after cPanel update to v110 it starts failing with different errors like:

"This certificate cannot be parsed (Invalid base64: must be a multiple of 4 in length.\n). It may be corrupt or in an unrecognized format."

"statusmsg" : "You must specify a domain."
- although domain is specified in command...

"This certificate cannot be parsed (A critical error occurred while parsing the ASN.1 data: Cpanel::Encoding::BER: corrupt data? data appears truncated\n at /usr/local/cpanel/Cpanel/SSL/Utils.pm line 1122.\n). It may be corrupt or in an unrecognized format."

According documentation I don't see any changes (Install SSL certificate). CRT, KEY, CABUNDLE are provieded urlencoded.
 
Last edited: